<div id="ShopDetails">
    <div v-if="this.shop === null" class="text-center my-5">
        <b-spinner variant="primary" type="grow"/>
    </div>
    <b-jumbotron class="shop-jumbotron ml-auto mr-auto my-5 shadow bg-light pb-4"
                 style="width: 90%"
                 fluid
                 v-if="this.shop !== null">
        <div class="back-button hover-shadow ml-auto mt-auto" @click="backToCategory">
            <b-icon class="h1" icon="arrow-left-short" style="color: white"/>
        </div>
        <b-container class="text-center">
            <!-- IMAGES -->
            <b-row v-if="shop.imagesPath &&
                         shop.imagesPath.length &&
                         shop.imagesPath[0].path"
            >
                <b-col style="margin-left: auto; margin-right: auto">
                    <b-carousel
                            id="carousel-1"
                            :interval="0"
                            controls
                            indicators
                            style="text-shadow: 1px 1px 2px #333;"
                            class="mt-3"
                    >

                        <b-carousel-slide v-for="imagePath in shop.imagesPath">
                            <template v-slot:img>
<!--                                <div style="object-fit: contain">-->
<!--                                    <b-img :src="imagePath.path"/>-->
<!--                                </div>-->
                                <div class="image" :style="'background-image: url(' + imagePath.path + ');'" />
                            </template>
                        </b-carousel-slide>

                    </b-carousel>
                </b-col>
            </b-row>
            <!-- NAME -->
            <b-row>
                <b-col class="text-center">
                    <h1 class="mt-5">{{ shop.name }}</h1>
                </b-col>
            </b-row>
            <!-- CATEGORY AND CITY, ADDRESS-->
            <b-row cols="1" cols-sm="1" cols-md="1" cols-lg="2" cols-xl="2" class="mx-auto w-75 my-4">
                <b-col>
                    <p class="mb-0 w-100"><b>Categoria:</b> {{ shop.categoryName }}</p>
                </b-col>
                <b-col>
                    <p class="mb-0 w-100"><b>{{ shop.city }}</b>{{ shop.address ? ',' : '' }} {{ shop.address }}</p>
                </b-col>
            </b-row>
            <!-- DESCRIPTION -->
            <b-row>
                <b-col class="text-center my-2">
                    <div style="border-radius: 1.2rem" class="ml-auto mr-auto w-75 bg-white py-4">
                        <p class="my-2 mx-3">{{ shop.description }}</p>
                    </div>
                </b-col>
            </b-row>
            <hr style="width: 60%">
            <div class="text-center">
                <!-- CONTATTI -->
                <div class="d-inline-block text-left">
                    <h3 class="text-center">Contatti</h3>
                    <div v-for="contact in shop.contacts" class="w-100 p-2 align-middle">
                        <!-- PHONE NUMBER -->
                        <div v-if="contact.contactTypeId === 3">
                            <b-icon class="contact-icon" icon="phone" />
                            <b-link :href="contact.url"
                                    target="_self"
                                    class="ml-2"
                                    rel="noopener noreferrer"
                            >
                                {{ contact.name }}
                            </b-link>
                        </div>
                        <!-- WHATSAPP -->
                        <div v-if="contact.contactTypeId === 2">
                            <img src="../../assets/whatsapp-logo.svg"
                                 class="contact-icon"
                            >
                            <b-link :href="contact.url"
                                    target="_blank"
                                    class="ml-2"
                                    rel="noopener noreferrer"
                            >
                                {{ contact.name }}
                            </b-link>
                        </div>
                        <!-- MAIL -->
                        <div v-if="contact.contactTypeId === 1">
                            <b-icon class="contact-icon" icon="envelope-open"/>
                            <b-link :href="contact.url"
                                    target="_blank"
                                    class="ml-2"
                                    rel="noopener noreferrer"
                            >
                                {{ contact.name }}
                            </b-link>
                        </div>
                    </div>

                    <div v-if="this.shop.websiteLink" class="w-100 p-2 align-middle">
                        <h3 class="text-center mb-2">Sito Web</h3>
                        <i class="fas fa-link contact-icon"></i>
                        <b-link class="text-center ml-2"
                                :href="this.shop.websiteLink"
                        >
                            {{this.shop.websiteLink.split('/')[2]}}
                        </b-link>
                    </div>

                </div>
            </div>



            <!-- PAGAMENTO -->
            <hr style="width: 60%;">
            <div class="text-center">
                <div class="d-inline-block text-left">
                    <h3 class="text-center pb-2">Pagamento</h3>
                    <div v-for="type in shop.paymentTypes">
                        <p class="mb-2">
                            <b-badge variant="success">
                                <b-icon icon="check" class="contact-icon"/>
                            </b-badge>
                            <span class="pl-2">{{ type.name }}</span>
                        </p>
                    </div>
                </div>
            </div>
            <!-- CONSEGNA -->
            <hr style="width: 60%;">
            <h3 class="text-center">Consegna</h3>
            <b-row class="text-center mt-3" cols="1" cols-sm="1" cols-md="1" cols-lg="2" cols-xl="2">
                <b-col class="pb-3">
                    <div class="ml-auto mr-auto w-75 h-100 bg-white"
                         style="border-radius: 1.2rem;"
                    >
                        <h4 class="pt-3">Dettagli</h4>
                        <p class="pb-0 px-4">{{ shop.deliveryDetails ? shop.deliveryDetails : 'Non ci sono dettagli di consegna.' }}</p>
                    </div>
                </b-col>
                <b-col class="pb-3">
                    <div class="ml-auto mr-auto w-75 h-100 bg-white"
                         style="border-radius: 1.2rem;"
                    >
                        <h4 class="pt-3">Condizioni</h4>
                        <p class="pb-0 px-4">{{ shop.deliveryConditions ? shop.deliveryConditions : 'Non ci sono condizioni di consegna.' }}</p>
                    </div>
                </b-col>
            </b-row>
        </b-container>
    </b-jumbotron>
</div>
